complexType "CommodityPhysicalExercise"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | (americanExercise | europeanExercise)?, automaticExercise?, writtenConfirmation?
</...>

Content Model Elements (4):

  americanExercise (defined in CommodityPhysicalExercise complexType),
  automaticExercise (defined in CommodityPhysicalExercise complexType),
  europeanExercise (defined in CommodityPhysicalExercise complexType),
  writtenConfirmation (defined in CommodityPhysicalExercise complexType)

All Direct / Indirect Based Elements (2):

  physicalExercise (in commodityOption), | physicalExercise (in commoditySwaption)

Known Usage Locations

- As direct type of elements (2):

  physicalExercise (in commodityOption), | physicalExercise (in commoditySwaption)

Annotation
The parameters for defining how the physically-settled commodity option can be exercised and how it is settled.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="CommodityPhysicalExercise"> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="americanExercise" type="CommodityPhysicalAmericanExercise"/> <xsd:element name="europeanExercise" type="CommodityPhysicalEuropeanExercise"/> </xsd:choice> <xsd:element minOccurs="0" name="automaticExercise" type="xsd:boolean"/> <xsd:element minOccurs="0" name="writtenConfirmation" type="xsd:boolean"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
americanExercise

  Type: | CommodityPhysicalAmericanExercise, complex content

  The parameters for defining the expiration date(s) and time(s) for an American style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="americanExercise" type="CommodityPhysicalAmericanExercise"/>

automaticExercise

  Type: | xsd:boolean, predefined, simple content

  Specifies whether or not Automatic Exercise applies to a Commodity Option Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="automaticExercise" type="xsd:boolean"/>

europeanExercise

  Type: | CommodityPhysicalEuropeanExercise, complex content

  The parameters for defining the expiration date(s) and time(s) for a European style option.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="europeanExercise" type="CommodityPhysicalEuropeanExercise"/>

writtenConfirmation

  Type: | xsd:boolean, predefined, simple content

  Specifies whether or not Written Confirmation applies to a Commodity Option Transaction.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="writtenConfirmation" type="xsd:boolean"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.